#include <iostream>

class X {
	int val;

public:
	// try adding explicit; what happens?
	X(int v = 0)
	    : val(v) {}

	X& operator++() {
		std::cout << "pre-increment\n";
		++val;
		return *this;
	}

	X operator++(int) {
		std::cout << "post-increment\n";
		X copy(*this);
		++(*this);
		return copy;
	}

	int get() const { return val; }

	// try uncommenting this; try adding explicit
	//operator int() const { return val; }
};

int main() {
	X a = 7;
	//int b = a;
	std::cout << (++a).get() << '\n';
	std::cout << (a++).get() << '\n';
	std::cout << a.get() << '\n';
}
