#include <iostream>

class Vector3D {
	double x, y, z;

public:
	Vector3D(double x = 0, double y = 0, double z = 0)
	    : x(x)
	    , y(y)
	    , z(z) {}
	friend std::ostream& operator<<(std::ostream& out, const Vector3D& vec) {
		return out << "(" << vec.x << ", " << vec.y << ", " << vec.z << ")";
	}
	friend std::istream& operator>>(std::istream& in, Vector3D& vec) {
		return in >> vec.x >> vec.y >> vec.z;
	}
};

int main() {
	Vector3D v;
	std::cin >> v;
	std::cout << "Your vector is: " << v << '\n';
}
